Apache Spark ODBC Driver

Spreadsheet, Reporting & BI Applications Using SQL To Query & Update Apache Spark Data.

Real-time read-write access to Apache Spark from Microsoft Office, Database, Web Server and Reporting applications.

The Apache Spark ODBC Driver allows you to use Apache Spark SQL data in any application that supports ODBC. For example, Microsoft Access, Excel, SQL Server, Oracle, PHP and Perl. You can query Spark SQL data as well as adding, updating and deleting Spark SQL records.

The Apache Spark ODBC Driver accesses Apache Spark via the Apache Spark Thrift server.

Please note that this is a beta release of the driver, and therefore not suitable for production use.

Why Easysoft?

  • We produce ODBC drivers for more data sources than any other vendor, maximising our exposure to this data access technology and broadening our experience.
  • We support our products over the long term. Customers with the latest data stores can be just as confident of our continued commitment as those who purchased drivers for databases (which although now considered legacy, we continue to support) at the start of our 20+ years of existence.
  • We are agile, responsive and welcome interaction with our customers. If you need assistance with integrating Apache Spark with your application, we will be ready.
  • Direct, real-time access to Apache Spark, no import/export necessary, ensuring your analysis is based on the most recent data.
  • Read-write driver, maximising the integration potential for Apache Spark and client applications.
  • Compatible with industry standard BI, Analytics and Spreadsheet applications. We track the Gartner BI Magic Quadrant to ensure our application support remains current.
  • Query, update, join, sort and aggregate Apache Spark data by using SQL.

The Apache Spark ODBC Driver is currently available on these platforms:

Version Platform Distribution
v 1.0 Beta (Apache Spark) Linux (x86) (32 - Bit) (kernel 2.2-5.0+, glibc 2.1+)
v 1.0 Beta (Apache Spark) Linux (x86) (64 - Bit) (kernel 2.6-5.0+, glibc 2.3.5+)
v 1.0 Beta (Apache Spark) Windows (x86) (32 - Bit, 64 - Bit) (7, 8, 2012 R2, 10, 2016, 2019,11,2022)